## rs 0.1-2

=== lib/Makefile ===
NAME = librs.so
SRCS = 	$(PWD)/rs-utils.c \
	$(PWD)/rs-ui.c \
	$(PWD)/rs-registry.c

# let caller override optimization setting
CFLAGS += -O2 -g -shared -Wall
#CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare \
#	-Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow \
#	-Wwrite-strings -Wcast-align -Wextra -Wall
CFLAGS += `pkg-config --cflags glib-2.0 gconf-2.0 dbus-1 libosso hildon-1`
LDFLAGS = `pkg-config --libs glib-2.0 gconf-2.0 dbus-1 libosso hildon-1` -L/usr/lib -lcrypt 


$(NAME): 
	$(CC) $(SRCS) $(CFLAGS) -o $@ $< $(LDFLAGS)

clean:
	$(RM) $(NAME)
	$(RM) *.*~ *~

install: $(NAME)
	install -d $(DESTDIR)/usr/lib
	install -m 755 $(NAME) $(DESTDIR)/usr/lib

=== debian/changelog ===
rs (0.1-2) unstable; urgency=low

  * Fixed build errors 

 -- Pavan Patale <pavan.patale@gmail.com>  Mon, 25 Jan 2010 10:27:55 +0200

rs (0.1-1) unstable; urgency=low

  * Initial release

 -- Pavan Patale <pavan.patale@gmail.com>  Sun, 27 Dec 2009 01:27:22 +0200

=== debian/control ===
Source: rs
Section: user/utilities
Priority: extra
Maintainer: Pavan Patale <pavan.patale@gmail.com>
Build-Depends: debhelper (>= 5), libsqlite3-dev, libosso-dev, libhildonmime-dev, hildon-control-panel-dev
Standards-Version: 3.7.2

Package: rs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

## rs 0.1-3

=== Makefile ===
all:
	cd lib ; make ; cd ..
	cd applet ; make ; cd ..
	cd app ; make ; cd ..

clean:
	cd lib ; make clean ; cd ..
	cd applet ; make clean ; cd ..
	cd app ; make clean ; cd ..
install:
	cd lib ; make install ; cd ..
	cd applet ; make install ; cd ..
	cd app ; make install ; cd ..

=== applet/Makefile ===
NAME = librsapplet.so
SRCS = $(PWD)/rs-applet.c

# let caller override optimization setting
CFLAGS += -O2 -shared -Wall
#CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare \
#	-Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow \
#	-Wwrite-strings -Wcast-align -Wextra -Wall
CFLAGS += `pkg-config --cflags glib-2.0  gtk+-2.0 libosso` -I $(PWD)/../lib
LDFLAGS = $(shell pkg-config --libs glib-2.0  gtk+-2.0 libosso) -L $(PWD)/../lib -lrs 

$(NAME): 
	$(CC) $(SRCS) $(CFLAGS) -o $@ $< $(LDFLAGS)

clean:
	$(RM) $(NAME) *.*~ *~

install: $(NAME)
	install -d $(DESTDIR)/usr/lib/hildon-control-panel
	install -m 755 $(NAME) $(DESTDIR)/usr/lib/hildon-control-panel

=== data/Makefile ===
SERVICEFILE=$(PWD)/data/com.nokia.rs.service
INITSCRIPT=$(PWD)/data/rsd
APPLET=$(PWD)/data/rs-applet.desktop
PRIVACY=$(PWD)/data/privacy.txt
clean:
	$(RM) *.*~ *~

install: 
	install -d $(DESTDIR)/usr/share/dbus-1/services
	install -m 755 $(SERVICEFILE) $(DESTDIR)/usr/share/dbus-1/services
	install -d $(DESTDIR)/etc/event.d
	install -m 644 $(INITSCRIPT) $(DESTDIR)/etc/event.d
	install -d $(DESTDIR)/usr/share/applications/hildon-control-panel
	install -m 644 $(APPLET) $(DESTDIR)/usr/share/applications/hildon-control-panel
	install -d $(DESTDIR)/usr/share/applications/rs
	install -m 444 $(PRIVACY) $(DESTDIR)/usr/share/applications/rs

=== debian/changelog ===
rs (0.1-3) unstable; urgency=low

  * Updated the description field 

 -- Pavan Patale <pavan.patale@gmail.com>  Mon, 25 Jan 2010 21:42:30 +0200

## rs 0.1-4

=== app/Makefile ===
NAME = rs
SRCS = $(PWD)/rs.c

# let caller override optimization setting
CFLAGS += -O2 -g -Wall
#CFLAGS += -Wmissing-prototypes -Wstrict-prototypes -Wsign-compare \
#	-Wbad-function-cast -Wcast-qual -Wpointer-arith -Wshadow \
#	-Wwrite-strings -Wcast-align -Wextra -Wall
CFLAGS += `pkg-config --cflags sqlite3 hildon-1 gnome-vfs-2.0 glib-2.0 libhildonmime dbus-1 libosso` -I $(PWD)/../lib
LDFLAGS = `pkg-config --libs sqlite3 hildon-1 gnome-vfs-2.0 glib-2.0 libhildonmime dbus-1 libosso` -L $(PWD)/../lib -lrs


$(NAME): 
	$(CC) $(SRCS) $(CFLAGS) -o $@ $< $(LDFLAGS)

clean:
	$(RM) $(NAME) *.*~ *~

install: $(NAME)
	install -d $(DESTDIR)/usr/bin
	install -m 755 $(NAME) $(DESTDIR)/usr/bin

=== data/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-SERVICEFILE=$(PWD)/data/com.nokia.rs.service
-INITSCRIPT=$(PWD)/data/rsd
-APPLET=$(PWD)/data/rs-applet.desktop
-PRIVACY=$(PWD)/data/privacy.txt
+SERVICEFILE=$(PWD)/com.nokia.rs.service
+INITSCRIPT=$(PWD)/rsd
+APPLET=$(PWD)/rs-applet.desktop
+PRIVACY=$(PWD)/privacy.txt
 clean:
 	$(RM) *.*~ *~

=== debian/changelog ===
rs (0.1-4) unstable; urgency=low

  * Removed checking for unlock command
  * Directly lock the device without showing unlock dialog when lock cmd
    arrives
  * Fixed Make file in data directory

 -- Pavan Patale <pavan.patale@gmail.com>  Mon, 25 Jan 2010 22:46:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,10 @@
 Standards-Version: 3.7.2
 
 Package: rs
-Architecture: any
+Architecture: armel 
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: <insert up to 60 chars description>
- <insert long description, indented with spaces>
+Description: Remote Security, Utility to lock N900 when a SMS/chat msg is sent.
+ The rs (Remote Security) package installs 3 components. 
+ a) Binary file to listen incoming SMS/chat messages
+ b) Control Panel Applet to register the lock/unlock codes. 
+ c) Library to support both (a) and (b).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/rs.sgml > rs.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rs.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rs install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rs 0.1-5

=== Makefile ===
--- 
+++ 
@@ -11,4 +11,5 @@
 	cd lib ; make install ; cd ..
 	cd applet ; make install ; cd ..
 	cd app ; make install ; cd ..
+	cd data ; make install ; cd ..

=== app/Makefile ===
--- 
+++ 
@@ -17,5 +17,5 @@
 	$(RM) $(NAME) *.*~ *~
 
 install: $(NAME)
-	install -d $(DESTDIR)/usr/bin
-	install -m 755 $(NAME) $(DESTDIR)/usr/bin
+#	install -d $(DESTDIR)/usr/bin
+#	install -m 755 $(NAME) $(DESTDIR)/usr/bin

=== applet/Makefile ===
--- 
+++ 
@@ -16,5 +16,5 @@
 	$(RM) $(NAME) *.*~ *~
 
 install: $(NAME)
-	install -d $(DESTDIR)/usr/lib/hildon-control-panel
-	install -m 755 $(NAME) $(DESTDIR)/usr/lib/hildon-control-panel
+#	install -d $(DESTDIR)/usr/lib/hildon-control-panel
+#	install -m 755 $(NAME) $(DESTDIR)/usr/lib/hildon-control-panel

=== data/Makefile ===
SERVICEFILE=$(PWD)/com.nokia.rs.service
INITSCRIPT=$(PWD)/rsd
APPLET=$(PWD)/rs-applet.desktop
PRIVACY=$(PWD)/privacy.txt
clean:
	$(RM) *.*~ *~

install: 
#	install -d $(DESTDIR)/usr/share/dbus-1/services
#	install -m 755 $(SERVICEFILE) $(DESTDIR)/usr/share/dbus-1/services
#	install -d $(DESTDIR)/etc/event.d
#	install -m 644 $(INITSCRIPT) $(DESTDIR)/etc/event.d
#	install -d $(DESTDIR)/usr/share/applications/hildon-control-panel
#	install -m 644 $(APPLET) $(DESTDIR)/usr/share/applications/hildon-control-panel
#	install -d $(DESTDIR)/usr/share/applications/rs
#	install -m 444 $(PRIVACY) $(DESTDIR)/usr/share/applications/rs

=== lib/Makefile ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	$(RM) *.*~ *~
 
 install: $(NAME)
-	install -d $(DESTDIR)/usr/lib
-	install -m 755 $(NAME) $(DESTDIR)/usr/lib
+#	install -d $(DESTDIR)/usr/lib
+#	install -m 755 $(NAME) $(DESTDIR)/usr/lib

=== debian/changelog ===
rs (0.1-5) unstable; urgency=low

  * Disabled the daemon temporarily.

 -- Pavan Patale <pavan.patale@gmail.com>  Tue, 26 Jan 2010 12:27:53 +0200

## rs 20140609

=== Makefile ===
#	$OpenBSD: Makefile,v 1.2 1996/06/26 05:38:46 deraadt Exp $


PROG=	rs

.include <bsd.prog.mk>

## rs 20200313

=== Makefile ===
# $MirOS: src/usr.bin/rs/Makefile,v 1.3 2020/03/11 21:30:10 tg Exp $
# $OpenBSD: Makefile,v 1.3 2015/12/03 12:23:15 schwarze Exp $

PROG=		rs
SRCS=		rs.c utf8.c

MKSHDIR?=	${BSDSRCDIR}/bin/mksh
SRCDIR?=	${.CURDIR}

regress: ${PROG} check.t
	perl ${MKSHDIR:Q}/check.pl -s ${SRCDIR:Q}/check.t -v -p ./${PROG:Q}

.include <bsd.prog.mk>

=== debian/changelog ===
rs (20200313-1) unstable; urgency=medium

  * New upstream release
  * Modernise packaging and introduce autopkgtests
  * The “Friday 13ᵗʰ” upload

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 13 Mar 2020 22:48:02 +0100

rs (20181225-1) unstable; urgency=medium

  * New upstream release, compatible with recent GNU groff in sid
  * Policy 4.3.0: R³, terse
  * Add UMEGAYA metadata
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Jan 2019 11:49:31 +0100

rs (20140609-5) unstable; urgency=low

  * Policy 4.1.3 (no changes)
  * Debhelper 11, prompted by lintian…
  * Update VCS-* to new repository caused by Alioth deprecation
  * Use ?= for dpkg-architecture output, thanks lintian
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jan 2018 20:24:39 +0100

rs (20140609-4) unstable; urgency=low

  * Retake and remove Mika as Maintainer, by request of Mika
  * Bump Policy (no relevant changes)
  * Switch to debhelper 10, grudgingly
  * Use the latest lintian-prescribed VCS-* URIs
  * Reuse code from pax package for $CC selection (cross-build),
    escaping of flags for dpkg/buildflags.mk; drop attempt to
    build with LTO
  * Address remaining lintian warnings (by overriding)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 22 Dec 2016 17:52:10 +0100

rs (20140609-3) unstable; urgency=low

  * Team upload.
  * Remove myself from Maintainer

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 07 Oct 2014 18:10:27 +0000

rs (20140609-2) unstable; urgency=low

  * debian/control: Move VCS-* fields to Alioth collab-maint git
  * Remove now-useless RCS IDs

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 08 Jul 2014 16:12:12 +0200

rs (20140609-1) unstable; urgency=medium

  * New upstream version (Closes: #706717)
  * Bump S-V with no changes

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 09 Jun 2014 21:35:12 +0200

rs (20120414-1) unstable; urgency=medium

  * Updated upstream version (Closes: #668306)
    - also fix manpage portability
    - no longer uses unreliable libbsd header files
  * Add a testsuite to prevent issues like #668306 from happening again

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 14 Apr 2012 13:22:33 +0000

rs (20120325-1) unstable; urgency=low

  * debian/rules: cleanup (remove install/check, dh_installdirs)
  * Updated upstream version (Closes: #650029)
  * debian/control: Policy 3.9.3 (no relevant changes)
  * debian/rules: modernise; enable +all hardening

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 25 Mar 2012 16:08:46 +0000

rs (20101029-1) unstable; urgency=low

  * rs can do Multi-Arch: foreign as requested by vorlon.
  * Let Mika co-maintain this package.
  * Upload to unstable.

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 27 Feb 2011 21:49:05 +0000

rs (20101029-0wtf1) experimental; urgency=low

  * Initial package. Since NEW is currently not processed, this is
    uploaded to the Grml repository for now, tested there and, once
    unfrozen, will be uploaded to Debian in a new version.

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 30 Oct 2010 14:29:20 +0000

=== debian/control ===
Source: rs
Section: utils
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper-compat (= 12), debhelper (>= 12.9~), mksh <!nocheck>
Standards-Version: 4.5.0
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/rs.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/rs.git;a=shortlog;h=refs/heads/master

Package: rs
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reshape a data array
 rs reads the standard input, interpreting each line as a row of
 blank-separated entries in an array, transforms the array
 according to the options, and writes it on the standard output.
 Numerous options control input, reshaping and output processing;
 the simplest usage example is "ls -1 | rs", which outputs the
 same (on an 80-column terminal) as the modern "ls" with no "-1"
 argument.

=== debian/rules ===
#!/usr/bin/make -f

ifeq (,$(filter terse,${DEB_BUILD_OPTIONS}))
export DH_VERBOSE=1
export V=1
export VERBOSE=1
endif

LC_ALL:=C
export LC_ALL

shellescape='$(subst ','\'',$(1))'
shellexport=$(1)=$(call shellescape,${$(1)})

ifneq (,$(wildcard /usr/share/dpkg/buildtools.mk))
include /usr/share/dpkg/buildtools.mk
else
# is ${CC} defined anywhere (other than implicit rules?)
ifneq (,$(findstring $(origin CC),default undefined))
# no - then default to gcc (or cross-gcc)
DEB_BUILD_ARCH?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
DEB_HOST_GNU_TYPE?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
CC=		${DEB_HOST_GNU_TYPE}-gcc
AR=		${DEB_HOST_GNU_TYPE}-ar
RANLIB=		${DEB_HOST_GNU_TYPE}-ranlib
else
CC=		gcc
AR=		ar
RANLIB=		ranlib
endif
endif
endif

OUR_CPPFLAGS:=
OUR_CFLAGS:=
OUR_LDFLAGS:=	-Wl,--as-needed

ifneq (,$(filter debug,${DEB_BUILD_OPTIONS}))
OUR_CFLAGS+=	-Og -g3
endif

OUR_CFLAGS+=	-Wall -Wextra -Wformat
OUR_CPPFLAGS+=	-DNEED_STRTONUM
OUR_CPPFLAGS+=	-I. -DMBSDPORT_H=\"rs.h\"

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
# dpkg-dev (>= 1.16.1~)
dpkgbuildflagsmkescape=$(subst \,\\\,$(1))
export DEB_BUILD_MAINT_OPTIONS:=hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CPPFLAGS})
export DEB_CFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CFLAGS})
export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
include /usr/share/dpkg/buildflags.mk
else
# old-fashioned way to determine build flags
CFLAGS=		-O$(if $(findstring noopt,${DEB_BUILD_OPTIONS}),0,2) -g
CPPFLAGS+=	${OUR_CPPFLAGS}
CFLAGS+=	${OUR_CFLAGS} -std=gnu99
LDFLAGS+=	${OUR_LDFLAGS}
endif

#include /usr/share/dpkg/pkg-info.mk

#ifneq (,$(filter parallel,${DEB_BUILD_OPTIONS}))
#MAKE_ARGS+=	-j
#else ifneq (,$(filter parallel=%,${DEB_BUILD_OPTIONS}))
#MAKE_ARGS+=	-j$(patsubst parallel=%,%,$(filter parallel=%,${DEB_BUILD_OPTIONS}))
#endif

%:
	dh $@ -Snone

execute_before_dh_auto_clean:
	-rm -f *.o librs.a rs

override_dh_auto_build:
	dh_testdir
	-rm -f *.o librs.a rs
	${CC} ${CPPFLAGS} ${CFLAGS} -c -o rs.o rs.c
	${CC} ${CPPFLAGS} ${CFLAGS} -c -o utf8.o utf8.c
	${CC} ${CPPFLAGS} ${CFLAGS} -c -o strtonum.o .linked/strtonum.c
	${AR} rc librs.a utf8.o strtonum.o
	${RANLIB} librs.a
	${CC} ${CPPFLAGS} ${CFLAGS} ${LDFLAGS} -o rs rs.o -L. -lrs ${LDADD}
	test -x rs

override_dh_auto_test:
	zcat /usr/share/doc/mksh/check.pl.gz | \
	    perl - -s check.t -v -p ./rs

=== debian/tests/control ===
Tests: regress
Depends: @, mksh, perl-modules

=== debian/watch ===
version=3
http://www.mirbsd.org/MirOS/dist/mir/rs/ rs-(.*)\.tar\.gz
